\name{group_plot}
\alias{group_plot}

\title{
Grouping bias factors into bins and making bias plots
}
\description{
This function calls a subfunction plotk to group bias factors into bins and plot the gene expresison levels aginast each bias factor. Currently it handles 18 bias factors simulataneously.  
}
\usage{
group_plot(mat, minval = NULL, maxval = NULL, type = "median", grpn = 500, spec = -1, titleon = TRUE)
}

\arguments{
  \item{mat}{
a matrix of 19 columns, the first column is log(RPKM), 2nd to 19th columns are bias factors
}
  \item{minval}{
lower limit of y coordinate range.
}
  \item{maxval}{
upper limit of y coordinate range.
}
  \item{type}{
a character string with values "bin" or "median", indicating the type of plots to make. If \code{type} = "median" (default), plots with median exp level against median bias level for each bin will be generated. If \code{type} = "bin", plots with median exp level against the bin index of bias factors will be generated. 
}
  \item{grpn}{
Number of genes in each bin. Default is 500.
}
  \item{spec}{
a numeric flag. If \code{spec}= -1 (default), will make bias plots for all 18 bas factors; otherwise only the bias factor in column \code{spec} will be plotted.
}
  \item{titleon}{
a logical value to control whether to add a title named after column names of \code{mat} for each bias plot. Default is TRUE.
}
}
\details{

}
\value{
This function will generate bias plots and return a dataframe with y and x values for each bias plot.
}
\references{
%% ~put references to the literature/web site here ~
}
\author{
Wei Zheng, Lisa Chung, Hongyu Zhao
}
\note{

}



\seealso{
 See Also  \code{\link{plotk}}, \code{\link{group_plotm}} 
}
\examples{
##see vignette for usage on MAQCtestdata
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
