\name{group_plotm}
\alias{group_plotm}

\title{
Overlay bias plots to compare.
}
\description{
This function takes output from different \code{\link{group_plot}} runs, and make overlapping bias plots for comparison. 
}
\usage{
group_plotm(toCmp, minval = NULL, maxval = NULL, titl = rep("not specified", 18))
}

\arguments{
  \item{toCmp}{
A list of \code{\link{group_plot}} objects.
}
  \item{minval}{
lower limit of y coordinate range.
}
  \item{maxval}{
upper limit of y coordinate range.
}
  \item{titl}{
A vector of 18 character strings to make titles for each bias plot. Usually named after the column names of bias factors.
}
}
\details{

}
\value{
This function makes overlapping bias plots without return values.
}
\references{

}
\author{
Wei Zheng, Lisa Chung, Hongyu Zhao
}
\note{

}



\seealso{
See Also \code{\link{group_plot}}
}
\examples{
##see vignette for usage on MAQCtestdata
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
