\name{MAQCtestdata}
\docType{data}
\alias{MAQCdata}
\title{RNA-Seq counts data and annotation}
\description{
This data set contains
}
\usage{MAQCtestdata}
\format{a list with four components: 
\dQuote{Counts} contains counts mapped to each ENSEMBL transcript in one MAQC2 experiment;
\dQuote{reweightedCounts} contains counts after prime reweighting adjustment;
\dQuote{tanno} contains annotation of bias factors for each transcript;
\dQuote{sinog} contains information of single-isoform non-overlapping genes.
}
\source{The brain data is from SRR037452, and the UHR data is from SRR037459. The counts data and corresponding RPKM values before and after prime reweighting can also be generated from alignment files using the function \dQuote{prime.reweight.counts} in the package.}
\references{
Hansen KD, Brenner SE, Dudoit S: Biases in Illumina transcriptome sequencing caused by random hexamer priming. Nucleic Acids Res 2010, 38(12):e131.
  
}
\keyword{datasets}