\name{RNASeqBias-package}
\alias{RNASeqBias-package}
\alias{RNASeqBias}
\docType{package}
\title{
Bias Detection and Correction in RNA-Sequencing Data
}
\description{
The package contains functions and sample data for detecting and correcting for biases in gene expression levels from RNA-Seq experiments.
Considered bias factors are gene length, GC content and dinucleotide frequencies. Principal component analysis on GC content and dinucleotide frequencies
are first performed, and the resulting principal components and gene length were used as covariates to fit a generalized additive model with smoothing spline
on gene expression levels as response. The package also have codes to generate bias plots before and after bias correction, and to compare with other quantitative
platforms. 
}
\details{
\tabular{ll}{
Package: \tab RNASeqBias\cr
Type: \tab Package\cr
Version: \tab 1.0\cr
Date: \tab 2011-03-01\cr
License: \tab Artistic-2.0\cr
LazyLoad: \tab yes\cr
}
~~ An overview of how to use the package, including the most important functions ~~
}
\author{
Wei Zheng, Lisa Chung, Hongyu Zhao

Maintainer: Wei Zheng <wei.zheng@yale.edu>

}
\references{

}

\keyword{ package }
\seealso{

}
\examples{

}
